//////////////////////////////////////////
// ListView.h
// Copyright (c) 01/11/2003 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResListView.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCSDIクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CSDI
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CSDI(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnEnd();
	bool OnDel();
	bool OnEdit();
	bool OnLarge();
	bool OnSmall();
	bool OnList();
	bool OnTable();
	//ウィンドウメッセージ関連
	bool OnCreate(WPARAM, LPARAM);
	bool OnNotify(WPARAM, LPARAM);
	bool OnSize(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd ListView("ListView");	//ウィンドウクラスインスタンスの生成

BEGIN_SDIMSG(ListView)	//ダイアログと違い、コールバック関数名を特定しない
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(ListView, IDM_END, OnEnd())
	ON_COMMAND(ListView, IDM_DEL, OnDel())
	ON_COMMAND(ListView, IDM_EDIT, OnEdit())
	ON_COMMAND(ListView, IDM_LARGE, OnLarge())
	ON_COMMAND(ListView, IDM_SMALL, OnSmall())
	ON_COMMAND(ListView, IDM_LIST, OnList())
	ON_COMMAND(ListView, IDM_TABLE, OnTable())
	//ウィンドウメッセージ関連
	ON_CREATE(ListView)
	ON_NOTIFY(ListView)
	ON_SIZE(ListView)
	ON_CLOSE(ListView)
END_WNDMSG
